#include "SDL_mixer.h"

// Initialize mixer API
void InitSDL_mixer(int freq, int channels, int buffer);
// Close SDL_mixer
void QuitSDL_mixer();
// Allocate mixing channels
void AllocateChannels(int channels);
// Load audio file as channel
Mix_Chunk *LoadChannel(const char *c);
// Load music file
Mix_Music *LoadMusic(const char *c);
// Close channel
void CloseChannel(Mix_Chunk *chunk);
// Close music
void CloseMusic(Mix_Music *music);
// Get music format
char *GetMusicFormat(Mix_Music *music);
// Set channel volume
void SetChannelVolume(int channel, int volume);
// Set music volume
void SetMusicVolume(int volume);
// Pause channel
void PauseChannel(int channel);
// Pause/Resume music
void PauseMusic();
// Stop channel
void StopChannel(int channel);
// Stop music
void StopMusic();
// Set music position
void SetMusicPosition(double pos);
// Play channel
void PlayChannel(Mix_Chunk *chunk, int channel, int loops);
// Play channel during indicated time
void PlayChannelTimed(Mix_Chunk *chunk, int channel, int loops, int ticks);
// Play channel with fade in effect
void FadeInChannel(Mix_Chunk *chunk, int channel, int loops, int ms);
// Play channel during indicated time with fade in effect
void FadeInChannelTimed(Mix_Chunk *chunk, int channel, int loops, int ms, int ticks);
// Stop channel with fade out effect
void FadeOutChannel(int channel, int ms);
// Play music
void PlayMusic(Mix_Music *music, int loops);
// Play music with fade in effect
void FadeInMusic(Mix_Music *music, int loops, int ms);
// Play music from a position with fade in effect
void FadeInMusicPos(Mix_Music *music, int loops, int ms, double pos);
// Stop music with fade out effect
void FadeOutMusic(int ms);
