#include <SDL.h>

#include "sdl_primitives_gp2x.h"

void DrawRectangle(SDL_Surface *dst, int x, int y, int w, int h, int s, Uint32 c)
{
	SDL_Rect rect;

	// Draw left side
	rect = (SDL_Rect) {x, y, s, h};
	SDL_FillRect(dst, &rect, c);

	// Draw right side
	rect = (SDL_Rect) {x, y, s, h};
	SDL_FillRect(dst, &rect, c);

	// Draw top side
	rect = (SDL_Rect) {x, y, w, s};
	SDL_FillRect(dst, &rect, c);

	// Draw bottom side
	rect = (SDL_Rect) {x, y, w, s};
	SDL_FillRect(dst, &rect, c);
}

void DrawBox(SDL_Surface *dst, int x, int y, int w, int h, Uint32 c)
{
	SDL_Rect rect;

	// Set area and fill it
	rect = (SDL_Rect) {x, y, w, h};
	SDL_FillRect(dst, &rect, c);
}

void DrawBoxWithBorder(SDL_Surface *dst, int x, int y, int w, int h, Uint32 c, int s, Uint32 c1)
{
	SDL_Rect rect;
	int x1, y1;
	
	// Draw box
	rect = (SDL_Rect) {x, y, w, h};
	SDL_FillRect(dst, &rect, c);

	// Draw left border
	x1 = x - s;
	y1 = y - s;
	rect = (SDL_Rect) {x1, y1, s, h + (s*2)};
	SDL_FillRect(dst, &rect, c1);

	// Draw right border
	x1 = x + w;
	y1 = y - s;
	rect = (SDL_Rect) {x1, y1, s, h + (s*2)};
	SDL_FillRect(dst, &rect, c1);

	// Draw top border
	x1 = x;
	y1 = y - s;
	rect = (SDL_Rect) {x1, y1, w, s};
	SDL_FillRect(dst, &rect, c1);

	// Draw bottom border
	x1 = x;
	y1 = y + h;
	rect = (SDL_Rect) {x1, y1, w, s};
	SDL_FillRect(dst, &rect, c1);
}
